id: https://w3id.org/gaia-x/ONTOLOGY_VERSION#resource
name: resource
prefixes:
  gx: https://w3id.org/gaia-x/ONTOLOGY_VERSION#
  linkml: https://w3id.org/linkml/
imports:
  - linkml:types
  - gaia-x-entity
  - legal-person
  - cryptography
default_prefix: gx
default_range: string

classes:
  Resource:
    is_a: GaiaXEntity
    description: >-
      Description of a good or object of the Gaia-X Ecosystem, and may be aggregated in a Service Offering or exist independently of it.
    abstract: true
    attributes:
      aggregationOfResources:
        title: "aggregation of"
        required: false
        multivalued: true
        description: A resolvable link of resources related to the resource and that can exist independently of it.
        any_of:
          - range: VirtualResource
          - range: PhysicalResource

  VirtualResource:
    title: "Virtual Resource"
    is_a: Resource
    description: It represents static data in any form and necessary information such as dataset, configuration file, license, keypair, an AI model, neural network weights, etc.
    abstract: true
    attributes:
      copyrightOwnedBy:
        title: "copyright owned by"
        required: true
        multivalued: true
        description: A list of copyright owners either as a free form string or as resolvable link to Gaia-X Credential of participants. A copyright owner is a person or organization that has the right to exploit the resource. Copyright owner does not necessarily refer to the author of the resource, who is a natural person and may differ from copyright owner.
        any_of:
          - range: LegalPerson
          - range: string
      license:
        required: true
        multivalued: true
        description: A list of SPDX identifiers or URL to document.
        any_of:
          - range: SPDX
          - range: uri 
      resourcePolicy:
        required: true
        multivalued: true
        description: "A  list of policy expressed using a DSL (e.g., Rego or ODRL) (access control, throttling, usage, retention, ...). If there is no specified usage policy constraints on the VirtualResource, the  policy should express a simple default: allow intent"
        range: string

  PhysicalResource:
    title: "Physical Resource"
    is_a: Resource
    description: A Physical resource is, but not limited to, a datacenter, a bare-metal service, a warehouse, a plant. Those are entities that have a weight and position in physical space.
    attributes:
      maintainedBy:
        title: "maintained by"
        required: true
        multivalued: true
        description: A list of resolvable links to Gaia-X Credentials of participants maintaining the resource in operational condition and thus having physical access to it.
        range: LegalPerson
      ownedBy:
        title: "owned by"
        multivalued: true
        description: A list of resolvable links to Gaia-X Credentials of participant owning the resource.
        range: LegalPerson
      manufacturedBy:
        title: "manufactured by"
        multivalued: true
        description: A list of resolvable links to Gaia-X Credentials of participant manufacturing the resource.
        range: LegalPerson
      location:
        required: true
        multivalued: true
        description: A list of physical locations.
        range: Address

  SoftwareResource:
    title: "Software Resource"
    description: "A Gaia-X Virtual Resource describing an executable program."
    is_a: VirtualResource
    attributes:
      checksum:
        description: Details on checksum of the software.
        range: CheckSum
      signature:
        description: Details with respect to signature of the software.
        range: Signature
      version:
        description: Version of the software.
        range: string
      patchLevel:
        title: "Patch level"
        description: Software specific patch number describing patch level of the software.
        range: string
      buildDate:
        title: "Build Date"
        description: Date and time the software was build, formated according to ISO 8601 (UTC - 24 hours).
        range: datetime

  OperatingSystem:
    title: "Operation System"
    description: "A special Gaia-X Software Resource describing an operating system."
    is_a: SoftwareResource
    attributes:
      osDistribution:
        title: "Operation System Distribution"
        description: The common name of the distribution of the operating system as defined in http://libosinfo.org/.
        range: OS_Distribution
        required: true

  Hypervisor:
    description: "A special Gaia-X Software Resource describing a hypervisor to provided virtual machines."
    is_a: SoftwareResource
    attributes:
      hypervisorType:
        description: The common name of the distribution of the operating system as defined in http://libosinfo.org/.
        range: HypervisorType
        required: true

enums:
  SPDX:
    permissible_values:
      Glide:
        description: "Visit https://spdx.org/licenses/Glide.html for complete details of 3dfx Glide License"
      Abstyles:
        description: "Visit https://spdx.org/licenses/Abstyles.html for complete details of Abstyles License"
      AFL-1.1:
        description: "Visit https://spdx.org/licenses/AFL-1.1.html for complete details of Academic Free License v1.1"
      AFL-1.2:
        description: "Visit https://spdx.org/licenses/AFL-1.2.html for complete details of Academic Free License v1.2"
      AFL-2.0:
        description: "Visit https://spdx.org/licenses/AFL-2.0.html for complete details of Academic Free License v2.0"
      AFL-2.1:
        description: "Visit https://spdx.org/licenses/AFL-2.1.html for complete details of Academic Free License v2.1"
      AFL-3.0:
        description: "Visit https://spdx.org/licenses/AFL-3.0.html for complete details of Academic Free License v3.0"
      AMPAS:
        description: "Visit https://spdx.org/licenses/AMPAS.html for complete details of Academy of Motion Picture Arts and Sciences BSD"
      AdaCore-doc:
        description: "Visit https://spdx.org/licenses/AdaCore-doc.html for complete details of AdaCore Doc License"
      APL-1.0:
        description: "Visit https://spdx.org/licenses/APL-1.0.html for complete details of Adaptive Public License 1.0"
      Adobe-Glyph:
        description: "Visit https://spdx.org/licenses/Adobe-Glyph.html for complete details of Adobe Glyph List License"
      APAFML:
        description: "Visit https://spdx.org/licenses/APAFML.html for complete details of Adobe Postscript AFM License"
      Adobe-2006:
        description: "Visit https://spdx.org/licenses/Adobe-2006.html for complete details of Adobe Systems Incorporated Source Code License Agreement"
      Adobe-Utopia:
        description: "Visit https://spdx.org/licenses/Adobe-Utopia.html for complete details of Adobe Utopia Font License"
      AGPL-1.0-only:
        description: "Visit https://spdx.org/licenses/AGPL-1.0-only.html for complete details of Affero General Public License v1.0 only"
      AGPL-1.0-or-later:
        description: "Visit https://spdx.org/licenses/AGPL-1.0-or-later.html for complete details of Affero General Public License v1.0 or later"
      Afmparse:
        description: "Visit https://spdx.org/licenses/Afmparse.html for complete details of Afmparse License"
      Aladdin:
        description: "Visit https://spdx.org/licenses/Aladdin.html for complete details of Aladdin Free Public License"
      ADSL:
        description: "Visit https://spdx.org/licenses/ADSL.html for complete details of Amazon Digital Services License"
      AMDPLPA:
        description: "Visit https://spdx.org/licenses/AMDPLPA.html for complete details of AMD's plpa_map.c License"
      ANTLR-PD:
        description: "Visit https://spdx.org/licenses/ANTLR-PD.html for complete details of ANTLR Software Rights Notice"
      ANTLR-PD-fallback:
        description: "Visit https://spdx.org/licenses/ANTLR-PD-fallback.html for complete details of ANTLR Software Rights Notice with license fallback"
      Apache-1.0:
        description: "Visit https://spdx.org/licenses/Apache-1.0.html for complete details of Apache License 1.0"
      Apache-1.1:
        description: "Visit https://spdx.org/licenses/Apache-1.1.html for complete details of Apache License 1.1"
      Apache-2.0:
        description: "Visit https://spdx.org/licenses/Apache-2.0.html for complete details of Apache License 2.0"
      App-s2p:
        description: "Visit https://spdx.org/licenses/App-s2p.html for complete details of App::s2p License"
      AML:
        description: "Visit https://spdx.org/licenses/AML.html for complete details of Apple MIT License"
      APSL-1.0:
        description: "Visit https://spdx.org/licenses/APSL-1.0.html for complete details of Apple Public Source License 1.0"
      APSL-1.1:
        description: "Visit https://spdx.org/licenses/APSL-1.1.html for complete details of Apple Public Source License 1.1"
      APSL-1.2:
        description: "Visit https://spdx.org/licenses/APSL-1.2.html for complete details of Apple Public Source License 1.2"
      APSL-2.0:
        description: "Visit https://spdx.org/licenses/APSL-2.0.html for complete details of Apple Public Source License 2.0"
      Arphic-1999:
        description: "Visit https://spdx.org/licenses/Arphic-1999.html for complete details of Arphic Public License"
      Artistic-1.0:
        description: "Visit https://spdx.org/licenses/Artistic-1.0.html for complete details of Artistic License 1.0"
      Artistic-1.0-Perl:
        description: "Visit https://spdx.org/licenses/Artistic-1.0-Perl.html for complete details of Artistic License 1.0 (Perl)"
      Artistic-1.0-cl8:
        description: "Visit https://spdx.org/licenses/Artistic-1.0-cl8.html for complete details of Artistic License 1.0 w/clause 8"
      Artistic-2.0:
        description: "Visit https://spdx.org/licenses/Artistic-2.0.html for complete details of Artistic License 2.0"
      ASWF-Digital-Assets-1.1:
        description: "Visit https://spdx.org/licenses/ASWF-Digital-Assets-1.1.html for complete details of ASWF Digital Assets License 1.1"
      ASWF-Digital-Assets-1.0:
        description: "Visit https://spdx.org/licenses/ASWF-Digital-Assets-1.0.html for complete details of ASWF Digital Assets License version 1.0"
      AAL:
        description: "Visit https://spdx.org/licenses/AAL.html for complete details of Attribution Assurance License"
      Baekmuk:
        description: "Visit https://spdx.org/licenses/Baekmuk.html for complete details of Baekmuk License"
      Bahyph:
        description: "Visit https://spdx.org/licenses/Bahyph.html for complete details of Bahyph License"
      Barr:
        description: "Visit https://spdx.org/licenses/Barr.html for complete details of Barr License"
      Beerware:
        description: "Visit https://spdx.org/licenses/Beerware.html for complete details of Beerware License"
      Bitstream-Charter:
        description: "Visit https://spdx.org/licenses/Bitstream-Charter.html for complete details of Bitstream Charter Font License"
      Bitstream-Vera:
        description: "Visit https://spdx.org/licenses/Bitstream-Vera.html for complete details of Bitstream Vera Font License"
      BitTorrent-1.0:
        description: "Visit https://spdx.org/licenses/BitTorrent-1.0.html for complete details of BitTorrent Open Source License v1.0"
      BitTorrent-1.1:
        description: "Visit https://spdx.org/licenses/BitTorrent-1.1.html for complete details of BitTorrent Open Source License v1.1"
      BlueOak-1.0.0:
        description: "Visit https://spdx.org/licenses/BlueOak-1.0.0.html for complete details of Blue Oak Model License 1.0.0"
      Boehm-GC:
        description: "Visit https://spdx.org/licenses/Boehm-GC.html for complete details of Boehm-Demers-Weiser GC License"
      BSL-1.0:
        description: "Visit https://spdx.org/licenses/BSL-1.0.html for complete details of Boost Software License 1.0"
      Borceux:
        description: "Visit https://spdx.org/licenses/Borceux.html for complete details of Borceux license"
      Brian-Gladman-3-Clause:
        description: "Visit https://spdx.org/licenses/Brian-Gladman-3-Clause.html for complete details of Brian Gladman 3-Clause License"
      BSD-1-Clause:
        description: "Visit https://spdx.org/licenses/BSD-1-Clause.html for complete details of BSD 1-Clause License"
      BSD-2-Clause:
        description: "Visit https://spdx.org/licenses/BSD-2-Clause.html for complete details of BSD 2-Clause 'Simplified' License"
      BSD-2-Clause-Views:
        description: "Visit https://spdx.org/licenses/BSD-2-Clause-Views.html for complete details of BSD 2-Clause with views sentence"
      BSD-3-Clause:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause.html for complete details of BSD 3-Clause 'New' or 'Revised' License"
      BSD-3-Clause-Clear:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause-Clear.html for complete details of BSD 3-Clause Clear License"
      BSD-3-Clause-flex:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause-flex.html for complete details of BSD 3-Clause Flex variant"
      BSD-3-Clause-Modification:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause-Modification.html for complete details of BSD 3-Clause Modification"
      BSD-3-Clause-No-Military-License:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause-No-Military-License.html for complete details of BSD 3-Clause No Military License"
      BSD-3-Clause-No-Nuclear-License:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause-No-Nuclear-License.html for complete details of BSD 3-Clause No Nuclear License"
      BSD-3-Clause-No-Nuclear-License-2014:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause-No-Nuclear-License-2014.html for complete details of BSD 3-Clause No Nuclear License 2014"
      BSD-3-Clause-No-Nuclear-Warranty:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause-No-Nuclear-Warranty.html for complete details of BSD 3-Clause No Nuclear Warranty"
      BSD-3-Clause-Open-MPI:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause-Open-MPI.html for complete details of BSD 3-Clause Open MPI variant"
      BSD-3-Clause-Sun:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause-Sun.html for complete details of BSD 3-Clause Sun Microsystems"
      BSD-4-Clause-Shortened:
        description: "Visit https://spdx.org/licenses/BSD-4-Clause-Shortened.html for complete details of BSD 4 Clause Shortened"
      BSD-4-Clause:
        description: "Visit https://spdx.org/licenses/BSD-4-Clause.html for complete details of BSD 4-Clause 'Original' or 'Old' License"
      BSD-4.3RENO:
        description: "Visit https://spdx.org/licenses/BSD-4.3RENO.html for complete details of BSD 4.3 RENO License"
      BSD-4.3TAHOE:
        description: "Visit https://spdx.org/licenses/BSD-4.3TAHOE.html for complete details of BSD 4.3 TAHOE License"
      BSD-Advertising-Acknowledgement:
        description: "Visit https://spdx.org/licenses/BSD-Advertising-Acknowledgement.html for complete details of BSD Advertising Acknowledgement License"
      BSD-Protection:
        description: "Visit https://spdx.org/licenses/BSD-Protection.html for complete details of BSD Protection License"
      BSD-Source-Code:
        description: "Visit https://spdx.org/licenses/BSD-Source-Code.html for complete details of BSD Source Code Attribution"
      BSD-3-Clause-Attribution:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause-Attribution.html for complete details of BSD with attribution"
      BSD-Attribution-HPND-disclaimer:
        description: "Visit https://spdx.org/licenses/BSD-Attribution-HPND-disclaimer.html for complete details of BSD with Attribution and HPND disclaimer"
      0BSD:
        description: "Visit https://spdx.org/licenses/0BSD.html for complete details of BSD Zero Clause License"
      BSD-2-Clause-Patent:
        description: "Visit https://spdx.org/licenses/BSD-2-Clause-Patent.html for complete details of BSD-2-Clause Plus Patent License"
      BSD-4-Clause-UC:
        description: "Visit https://spdx.org/licenses/BSD-4-Clause-UC.html for complete details of BSD-4-Clause (University of California-Specific)"
      BSD-Inferno-Nettverk:
        description: "Visit https://spdx.org/licenses/BSD-Inferno-Nettverk.html for complete details of BSD-Inferno-Nettverk"
      BUSL-1.1:
        description: "Visit https://spdx.org/licenses/BUSL-1.1.html for complete details of Business Source License 1.1"
      bzip2-1.0.6:
        description: "Visit https://spdx.org/licenses/bzip2-1.0.6.html for complete details of bzip2 and libbzip2 License v1.0.6"
      Caldera:
        description: "Visit https://spdx.org/licenses/Caldera.html for complete details of Caldera License"
      CECILL-1.0:
        description: "Visit https://spdx.org/licenses/CECILL-1.0.html for complete details of CeCILL Free Software License Agreement v1.0"
      CECILL-1.1:
        description: "Visit https://spdx.org/licenses/CECILL-1.1.html for complete details of CeCILL Free Software License Agreement v1.1"
      CECILL-2.0:
        description: "Visit https://spdx.org/licenses/CECILL-2.0.html for complete details of CeCILL Free Software License Agreement v2.0"
      CECILL-2.1:
        description: "Visit https://spdx.org/licenses/CECILL-2.1.html for complete details of CeCILL Free Software License Agreement v2.1"
      CECILL-B:
        description: "Visit https://spdx.org/licenses/CECILL-B.html for complete details of CeCILL-B Free Software License Agreement"
      CECILL-C:
        description: "Visit https://spdx.org/licenses/CECILL-C.html for complete details of CeCILL-C Free Software License Agreement"
      CERN-OHL-1.1:
        description: "Visit https://spdx.org/licenses/CERN-OHL-1.1.html for complete details of CERN Open Hardware Licence v1.1"
      CERN-OHL-1.2:
        description: "Visit https://spdx.org/licenses/CERN-OHL-1.2.html for complete details of CERN Open Hardware Licence v1.2"
      CERN-OHL-P-2.0:
        description: "Visit https://spdx.org/licenses/CERN-OHL-P-2.0.html for complete details of CERN Open Hardware Licence Version 2 - Permissive"
      CERN-OHL-S-2.0:
        description: "Visit https://spdx.org/licenses/CERN-OHL-S-2.0.html for complete details of CERN Open Hardware Licence Version 2 - Strongly Reciprocal"
      CERN-OHL-W-2.0:
        description: "Visit https://spdx.org/licenses/CERN-OHL-W-2.0.html for complete details of CERN Open Hardware Licence Version 2 - Weakly Reciprocal"
      CFITSIO:
        description: "Visit https://spdx.org/licenses/CFITSIO.html for complete details of CFITSIO License"
      check-cvs:
        description: "Visit https://spdx.org/licenses/check-cvs.html for complete details of check-cvs License"
      checkmk:
        description: "Visit https://spdx.org/licenses/checkmk.html for complete details of Checkmk License"
      ClArtistic:
        description: "Visit https://spdx.org/licenses/ClArtistic.html for complete details of Clarified Artistic License"
      Clips:
        description: "Visit https://spdx.org/licenses/Clips.html for complete details of Clips License"
      MIT-CMU:
        description: "Visit https://spdx.org/licenses/MIT-CMU.html for complete details of CMU License"
      CMU-Mach:
        description: "Visit https://spdx.org/licenses/CMU-Mach.html for complete details of CMU Mach License"
      CNRI-Jython:
        description: "Visit https://spdx.org/licenses/CNRI-Jython.html for complete details of CNRI Jython License"
      CNRI-Python:
        description: "Visit https://spdx.org/licenses/CNRI-Python.html for complete details of CNRI Python License"
      CNRI-Python-GPL-Compatible:
        description: "Visit https://spdx.org/licenses/CNRI-Python-GPL-Compatible.html for complete details of CNRI Python Open Source GPL Compatible License Agreement"
      CPOL-1.02:
        description: "Visit https://spdx.org/licenses/CPOL-1.02.html for complete details of Code Project Open License 1.02"
      CDDL-1.0:
        description: "Visit https://spdx.org/licenses/CDDL-1.0.html for complete details of Common Development and Distribution License 1.0"
      CDDL-1.1:
        description: "Visit https://spdx.org/licenses/CDDL-1.1.html for complete details of Common Development and Distribution License 1.1"
      CDL-1.0:
        description: "Visit https://spdx.org/licenses/CDL-1.0.html for complete details of Common Documentation License 1.0"
      LOOP:
        description: "Visit https://spdx.org/licenses/LOOP.html for complete details of Common Lisp LOOP License"
      CPAL-1.0:
        description: "Visit https://spdx.org/licenses/CPAL-1.0.html for complete details of Common Public Attribution License 1.0"
      CPL-1.0:
        description: "Visit https://spdx.org/licenses/CPL-1.0.html for complete details of Common Public License 1.0"
      CDLA-Permissive-1.0:
        description: "Visit https://spdx.org/licenses/CDLA-Permissive-1.0.html for complete details of Community Data License Agreement Permissive 1.0"
      CDLA-Permissive-2.0:
        description: "Visit https://spdx.org/licenses/CDLA-Permissive-2.0.html for complete details of Community Data License Agreement Permissive 2.0"
      CDLA-Sharing-1.0:
        description: "Visit https://spdx.org/licenses/CDLA-Sharing-1.0.html for complete details of Community Data License Agreement Sharing 1.0"
      Community-Spec-1.0:
        description: "Visit https://spdx.org/licenses/Community-Spec-1.0.html for complete details of Community Specification License 1.0"
      C-UDA-1.0:
        description: "Visit https://spdx.org/licenses/C-UDA-1.0.html for complete details of Computational Use of Data Agreement v1.0"
      CATOSL-1.1:
        description: "Visit https://spdx.org/licenses/CATOSL-1.1.html for complete details of Computer Associates Trusted Open Source License 1.1"
      Condor-1.1:
        description: "Visit https://spdx.org/licenses/Condor-1.1.html for complete details of Condor Public License v1.1"
      COIL-1.0:
        description: "Visit https://spdx.org/licenses/COIL-1.0.html for complete details of Copyfree Open Innovation License"
      copyleft-next-0.3.0:
        description: "Visit https://spdx.org/licenses/copyleft-next-0.3.0.html for complete details of copyleft-next 0.3.0"
      copyleft-next-0.3.1:
        description: "Visit https://spdx.org/licenses/copyleft-next-0.3.1.html for complete details of copyleft-next 0.3.1"
      Cornell-Lossless-JPEG:
        description: "Visit https://spdx.org/licenses/Cornell-Lossless-JPEG.html for complete details of Cornell Lossless JPEG License"
      CC-BY-1.0:
        description: "Visit https://spdx.org/licenses/CC-BY-1.0.html for complete details of Creative Commons Attribution 1.0 Generic"
      CC-BY-2.0:
        description: "Visit https://spdx.org/licenses/CC-BY-2.0.html for complete details of Creative Commons Attribution 2.0 Generic"
      CC-BY-2.5-AU:
        description: "Visit https://spdx.org/licenses/CC-BY-2.5-AU.html for complete details of Creative Commons Attribution 2.5 Australia"
      CC-BY-2.5:
        description: "Visit https://spdx.org/licenses/CC-BY-2.5.html for complete details of Creative Commons Attribution 2.5 Generic"
      CC-BY-3.0-AT:
        description: "Visit https://spdx.org/licenses/CC-BY-3.0-AT.html for complete details of Creative Commons Attribution 3.0 Austria"
      CC-BY-3.0-DE:
        description: "Visit https://spdx.org/licenses/CC-BY-3.0-DE.html for complete details of Creative Commons Attribution 3.0 Germany"
      CC-BY-3.0-IGO:
        description: "Visit https://spdx.org/licenses/CC-BY-3.0-IGO.html for complete details of Creative Commons Attribution 3.0 IGO"
      CC-BY-3.0-NL:
        description: "Visit https://spdx.org/licenses/CC-BY-3.0-NL.html for complete details of Creative Commons Attribution 3.0 Netherlands"
      CC-BY-3.0-US:
        description: "Visit https://spdx.org/licenses/CC-BY-3.0-US.html for complete details of Creative Commons Attribution 3.0 United States"
      CC-BY-3.0:
        description: "Visit https://spdx.org/licenses/CC-BY-3.0.html for complete details of Creative Commons Attribution 3.0 Unported"
      CC-BY-4.0:
        description: "Visit https://spdx.org/licenses/CC-BY-4.0.html for complete details of Creative Commons Attribution 4.0 International"
      CC-BY-ND-1.0:
        description: "Visit https://spdx.org/licenses/CC-BY-ND-1.0.html for complete details of Creative Commons Attribution No Derivatives 1.0 Generic"
      CC-BY-ND-2.0:
        description: "Visit https://spdx.org/licenses/CC-BY-ND-2.0.html for complete details of Creative Commons Attribution No Derivatives 2.0 Generic"
      CC-BY-ND-2.5:
        description: "Visit https://spdx.org/licenses/CC-BY-ND-2.5.html for complete details of Creative Commons Attribution No Derivatives 2.5 Generic"
      CC-BY-ND-3.0-DE:
        description: "Visit https://spdx.org/licenses/CC-BY-ND-3.0-DE.html for complete details of Creative Commons Attribution No Derivatives 3.0 Germany"
      CC-BY-ND-3.0:
        description: "Visit https://spdx.org/licenses/CC-BY-ND-3.0.html for complete details of Creative Commons Attribution No Derivatives 3.0 Unported"
      CC-BY-ND-4.0:
        description: "Visit https://spdx.org/licenses/CC-BY-ND-4.0.html for complete details of Creative Commons Attribution No Derivatives 4.0 International"
      CC-BY-NC-1.0:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-1.0.html for complete details of Creative Commons Attribution Non Commercial 1.0 Generic"
      CC-BY-NC-2.0:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-2.0.html for complete details of Creative Commons Attribution Non Commercial 2.0 Generic"
      CC-BY-NC-2.5:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-2.5.html for complete details of Creative Commons Attribution Non Commercial 2.5 Generic"
      CC-BY-NC-3.0-DE:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-3.0-DE.html for complete details of Creative Commons Attribution Non Commercial 3.0 Germany"
      CC-BY-NC-3.0:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-3.0.html for complete details of Creative Commons Attribution Non Commercial 3.0 Unported"
      CC-BY-NC-4.0:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-4.0.html for complete details of Creative Commons Attribution Non Commercial 4.0 International"
      CC-BY-NC-ND-1.0:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-ND-1.0.html for complete details of Creative Commons Attribution Non Commercial No Derivatives 1.0 Generic"
      CC-BY-NC-ND-2.0:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-ND-2.0.html for complete details of Creative Commons Attribution Non Commercial No Derivatives 2.0 Generic"
      CC-BY-NC-ND-2.5:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-ND-2.5.html for complete details of Creative Commons Attribution Non Commercial No Derivatives 2.5 Generic"
      CC-BY-NC-ND-3.0-DE:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-ND-3.0-DE.html for complete details of Creative Commons Attribution Non Commercial No Derivatives 3.0 Germany"
      CC-BY-NC-ND-3.0-IGO:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-ND-3.0-IGO.html for complete details of Creative Commons Attribution Non Commercial No Derivatives 3.0 IGO"
      CC-BY-NC-ND-3.0:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-ND-3.0.html for complete details of Creative Commons Attribution Non Commercial No Derivatives 3.0 Unported"
      CC-BY-NC-ND-4.0:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-ND-4.0.html for complete details of Creative Commons Attribution Non Commercial No Derivatives 4.0 International"
      CC-BY-NC-SA-1.0:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-SA-1.0.html for complete details of Creative Commons Attribution Non Commercial Share Alike 1.0 Generic"
      CC-BY-NC-SA-2.0-UK:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-SA-2.0-UK.html for complete details of Creative Commons Attribution Non Commercial Share Alike 2.0 England and Wales"
      CC-BY-NC-SA-2.0:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-SA-2.0.html for complete details of Creative Commons Attribution Non Commercial Share Alike 2.0 Generic"
      CC-BY-NC-SA-2.0-DE:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-SA-2.0-DE.html for complete details of Creative Commons Attribution Non Commercial Share Alike 2.0 Germany"
      CC-BY-NC-SA-2.5:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-SA-2.5.html for complete details of Creative Commons Attribution Non Commercial Share Alike 2.5 Generic"
      CC-BY-NC-SA-3.0-DE:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-SA-3.0-DE.html for complete details of Creative Commons Attribution Non Commercial Share Alike 3.0 Germany"
      CC-BY-NC-SA-3.0-IGO:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-SA-3.0-IGO.html for complete details of Creative Commons Attribution Non Commercial Share Alike 3.0 IGO"
      CC-BY-NC-SA-3.0:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-SA-3.0.html for complete details of Creative Commons Attribution Non Commercial Share Alike 3.0 Unported"
      CC-BY-NC-SA-4.0:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-SA-4.0.html for complete details of Creative Commons Attribution Non Commercial Share Alike 4.0 International"
      CC-BY-SA-1.0:
        description: "Visit https://spdx.org/licenses/CC-BY-SA-1.0.html for complete details of Creative Commons Attribution Share Alike 1.0 Generic"
      CC-BY-SA-2.0-UK:
        description: "Visit https://spdx.org/licenses/CC-BY-SA-2.0-UK.html for complete details of Creative Commons Attribution Share Alike 2.0 England and Wales"
      CC-BY-SA-2.0:
        description: "Visit https://spdx.org/licenses/CC-BY-SA-2.0.html for complete details of Creative Commons Attribution Share Alike 2.0 Generic"
      CC-BY-SA-2.1-JP:
        description: "Visit https://spdx.org/licenses/CC-BY-SA-2.1-JP.html for complete details of Creative Commons Attribution Share Alike 2.1 Japan"
      CC-BY-SA-2.5:
        description: "Visit https://spdx.org/licenses/CC-BY-SA-2.5.html for complete details of Creative Commons Attribution Share Alike 2.5 Generic"
      CC-BY-SA-3.0-AT:
        description: "Visit https://spdx.org/licenses/CC-BY-SA-3.0-AT.html for complete details of Creative Commons Attribution Share Alike 3.0 Austria"
      CC-BY-SA-3.0-DE:
        description: "Visit https://spdx.org/licenses/CC-BY-SA-3.0-DE.html for complete details of Creative Commons Attribution Share Alike 3.0 Germany"
      CC-BY-SA-3.0:
        description: "Visit https://spdx.org/licenses/CC-BY-SA-3.0.html for complete details of Creative Commons Attribution Share Alike 3.0 Unported"
      CC-BY-SA-4.0:
        description: "Visit https://spdx.org/licenses/CC-BY-SA-4.0.html for complete details of Creative Commons Attribution Share Alike 4.0 International"
      CC-BY-NC-SA-2.0-FR:
        description: "Visit https://spdx.org/licenses/CC-BY-NC-SA-2.0-FR.html for complete details of Creative Commons Attribution-NonCommercial-ShareAlike 2.0 France"
      CC-BY-SA-3.0-IGO:
        description: "Visit https://spdx.org/licenses/CC-BY-SA-3.0-IGO.html for complete details of Creative Commons Attribution-ShareAlike 3.0 IGO"
      CC-PDDC:
        description: "Visit https://spdx.org/licenses/CC-PDDC.html for complete details of Creative Commons Public Domain Dedication and Certification"
      CC0-1.0:
        description: "Visit https://spdx.org/licenses/CC0-1.0.html for complete details of Creative Commons Zero v1.0 Universal"
      Cronyx:
        description: "Visit https://spdx.org/licenses/Cronyx.html for complete details of Cronyx License"
      Crossword:
        description: "Visit https://spdx.org/licenses/Crossword.html for complete details of Crossword License"
      CAL-1.0:
        description: "Visit https://spdx.org/licenses/CAL-1.0.html for complete details of Cryptographic Autonomy License 1.0"
      CAL-1.0-Combined-Work-Exception:
        description: "Visit https://spdx.org/licenses/CAL-1.0-Combined-Work-Exception.html for complete details of Cryptographic Autonomy License 1.0 (Combined Work Exception)"
      CrystalStacker:
        description: "Visit https://spdx.org/licenses/CrystalStacker.html for complete details of CrystalStacker License"
      CUA-OPL-1.0:
        description: "Visit https://spdx.org/licenses/CUA-OPL-1.0.html for complete details of CUA Office Public License v1.0"
      Cube:
        description: "Visit https://spdx.org/licenses/Cube.html for complete details of Cube License"
      curl:
        description: "Visit https://spdx.org/licenses/curl.html for complete details of curl License"
      DL-DE-BY-2.0:
        description: "Visit https://spdx.org/licenses/DL-DE-BY-2.0.html for complete details of Data licence Germany attribution version 2.0"
      DL-DE-ZERO-2.0:
        description: "Visit https://spdx.org/licenses/DL-DE-ZERO-2.0.html for complete details of Data licence Germany zero version 2.0"
      dtoa:
        description: "Visit https://spdx.org/licenses/dtoa.html for complete details of David M. Gay dtoa License"
      DRL-1.0:
        description: "Visit https://spdx.org/licenses/DRL-1.0.html for complete details of Detection Rule License 1.0"
      D-FSL-1.0:
        description: "Visit https://spdx.org/licenses/D-FSL-1.0.html for complete details of Deutsche Freie Software Lizenz"
      diffmark:
        description: "Visit https://spdx.org/licenses/diffmark.html for complete details of diffmark license"
      WTFPL:
        description: "Visit https://spdx.org/licenses/WTFPL.html for complete details of Do What The F*ck You Want To Public License"
      DOC:
        description: "Visit https://spdx.org/licenses/DOC.html for complete details of DOC License"
      Dotseqn:
        description: "Visit https://spdx.org/licenses/Dotseqn.html for complete details of Dotseqn License"
      DSDP:
        description: "Visit https://spdx.org/licenses/DSDP.html for complete details of DSDP License"
      dvipdfm:
        description: "Visit https://spdx.org/licenses/dvipdfm.html for complete details of dvipdfm License"
      EPL-1.0:
        description: "Visit https://spdx.org/licenses/EPL-1.0.html for complete details of Eclipse Public License 1.0"
      EPL-2.0:
        description: "Visit https://spdx.org/licenses/EPL-2.0.html for complete details of Eclipse Public License 2.0"
      ECL-1.0:
        description: "Visit https://spdx.org/licenses/ECL-1.0.html for complete details of Educational Community License v1.0"
      ECL-2.0:
        description: "Visit https://spdx.org/licenses/ECL-2.0.html for complete details of Educational Community License v2.0"
      eGenix:
        description: "Visit https://spdx.org/licenses/eGenix.html for complete details of eGenix.com Public License 1.1.0"
      EFL-1.0:
        description: "Visit https://spdx.org/licenses/EFL-1.0.html for complete details of Eiffel Forum License v1.0"
      EFL-2.0:
        description: "Visit https://spdx.org/licenses/EFL-2.0.html for complete details of Eiffel Forum License v2.0"
      Elastic-2.0:
        description: "Visit https://spdx.org/licenses/Elastic-2.0.html for complete details of Elastic License 2.0"
      MIT-advertising:
        description: "Visit https://spdx.org/licenses/MIT-advertising.html for complete details of Enlightenment License (e16)"
      MIT-enna:
        description: "Visit https://spdx.org/licenses/MIT-enna.html for complete details of enna License"
      Entessa:
        description: "Visit https://spdx.org/licenses/Entessa.html for complete details of Entessa Public License v1.0"
      EPICS:
        description: "Visit https://spdx.org/licenses/EPICS.html for complete details of EPICS Open License"
      ErlPL-1.1:
        description: "Visit https://spdx.org/licenses/ErlPL-1.1.html for complete details of Erlang Public License v1.1"
      etalab-2.0:
        description: "Visit https://spdx.org/licenses/etalab-2.0.html for complete details of Etalab Open License 2.0"
      EUDatagrid:
        description: "Visit https://spdx.org/licenses/EUDatagrid.html for complete details of EU DataGrid Software License"
      EUPL-1.0:
        description: "Visit https://spdx.org/licenses/EUPL-1.0.html for complete details of European Union Public License 1.0"
      EUPL-1.1:
        description: "Visit https://spdx.org/licenses/EUPL-1.1.html for complete details of European Union Public License 1.1"
      EUPL-1.2:
        description: "Visit https://spdx.org/licenses/EUPL-1.2.html for complete details of European Union Public License 1.2"
      Eurosym:
        description: "Visit https://spdx.org/licenses/Eurosym.html for complete details of Eurosym License"
      Fair:
        description: "Visit https://spdx.org/licenses/Fair.html for complete details of Fair License"
      MIT-feh:
        description: "Visit https://spdx.org/licenses/MIT-feh.html for complete details of feh License"
      Ferguson-Twofish:
        description: "Visit https://spdx.org/licenses/Ferguson-Twofish.html for complete details of Ferguson Twofish License"
      Frameworx-1.0:
        description: "Visit https://spdx.org/licenses/Frameworx-1.0.html for complete details of Frameworx Open License 1.0"
      FDK-AAC:
        description: "Visit https://spdx.org/licenses/FDK-AAC.html for complete details of Fraunhofer FDK AAC Codec Library"
      FreeBSD-DOC:
        description: "Visit https://spdx.org/licenses/FreeBSD-DOC.html for complete details of FreeBSD Documentation License"
      FreeImage:
        description: "Visit https://spdx.org/licenses/FreeImage.html for complete details of FreeImage Public License v1.0"
      FTL:
        description: "Visit https://spdx.org/licenses/FTL.html for complete details of Freetype Project License"
      FSFAP:
        description: "Visit https://spdx.org/licenses/FSFAP.html for complete details of FSF All Permissive License"
      FSFUL:
        description: "Visit https://spdx.org/licenses/FSFUL.html for complete details of FSF Unlimited License"
      FSFULLRWD:
        description: "Visit https://spdx.org/licenses/FSFULLRWD.html for complete details of FSF Unlimited License (With License Retention and Warranty Disclaimer)"
      FSFULLR:
        description: "Visit https://spdx.org/licenses/FSFULLR.html for complete details of FSF Unlimited License (with License Retention)"
      Furuseth:
        description: "Visit https://spdx.org/licenses/Furuseth.html for complete details of Furuseth License"
      FBM:
        description: "Visit https://spdx.org/licenses/FBM.html for complete details of Fuzzy Bitmap License"
      fwlw:
        description: "Visit https://spdx.org/licenses/fwlw.html for complete details of fwlw License"
      GD:
        description: "Visit https://spdx.org/licenses/GD.html for complete details of GD License"
      Giftware:
        description: "Visit https://spdx.org/licenses/Giftware.html for complete details of Giftware License"
      GL2PS:
        description: "Visit https://spdx.org/licenses/GL2PS.html for complete details of GL2PS License"
      Glulxe:
        description: "Visit https://spdx.org/licenses/Glulxe.html for complete details of Glulxe License"
      AGPL-3.0-only:
        description: "Visit https://spdx.org/licenses/AGPL-3.0-only.html for complete details of GNU Affero General Public License v3.0 only"
      AGPL-3.0-or-later:
        description: "Visit https://spdx.org/licenses/AGPL-3.0-or-later.html for complete details of GNU Affero General Public License v3.0 or later"
      GFDL-1.1-only:
        description: "Visit https://spdx.org/licenses/GFDL-1.1-only.html for complete details of GNU Free Documentation License v1.1 only"
      GFDL-1.1-invariants-only:
        description: "Visit https://spdx.org/licenses/GFDL-1.1-invariants-only.html for complete details of GNU Free Documentation License v1.1 only - invariants"
      GFDL-1.1-no-invariants-only:
        description: "Visit https://spdx.org/licenses/GFDL-1.1-no-invariants-only.html for complete details of GNU Free Documentation License v1.1 only - no invariants"
      GFDL-1.1-or-later:
        description: "Visit https://spdx.org/licenses/GFDL-1.1-or-later.html for complete details of GNU Free Documentation License v1.1 or later"
      GFDL-1.1-invariants-or-later:
        description: "Visit https://spdx.org/licenses/GFDL-1.1-invariants-or-later.html for complete details of GNU Free Documentation License v1.1 or later - invariants"
      GFDL-1.1-no-invariants-or-later:
        description: "Visit https://spdx.org/licenses/GFDL-1.1-no-invariants-or-later.html for complete details of GNU Free Documentation License v1.1 or later - no invariants"
      GFDL-1.2-only:
        description: "Visit https://spdx.org/licenses/GFDL-1.2-only.html for complete details of GNU Free Documentation License v1.2 only"
      GFDL-1.2-invariants-only:
        description: "Visit https://spdx.org/licenses/GFDL-1.2-invariants-only.html for complete details of GNU Free Documentation License v1.2 only - invariants"
      GFDL-1.2-no-invariants-only:
        description: "Visit https://spdx.org/licenses/GFDL-1.2-no-invariants-only.html for complete details of GNU Free Documentation License v1.2 only - no invariants"
      GFDL-1.2-or-later:
        description: "Visit https://spdx.org/licenses/GFDL-1.2-or-later.html for complete details of GNU Free Documentation License v1.2 or later"
      GFDL-1.2-invariants-or-later:
        description: "Visit https://spdx.org/licenses/GFDL-1.2-invariants-or-later.html for complete details of GNU Free Documentation License v1.2 or later - invariants"
      GFDL-1.2-no-invariants-or-later:
        description: "Visit https://spdx.org/licenses/GFDL-1.2-no-invariants-or-later.html for complete details of GNU Free Documentation License v1.2 or later - no invariants"
      GFDL-1.3-only:
        description: "Visit https://spdx.org/licenses/GFDL-1.3-only.html for complete details of GNU Free Documentation License v1.3 only"
      GFDL-1.3-invariants-only:
        description: "Visit https://spdx.org/licenses/GFDL-1.3-invariants-only.html for complete details of GNU Free Documentation License v1.3 only - invariants"
      GFDL-1.3-no-invariants-only:
        description: "Visit https://spdx.org/licenses/GFDL-1.3-no-invariants-only.html for complete details of GNU Free Documentation License v1.3 only - no invariants"
      GFDL-1.3-or-later:
        description: "Visit https://spdx.org/licenses/GFDL-1.3-or-later.html for complete details of GNU Free Documentation License v1.3 or later"
      GFDL-1.3-invariants-or-later:
        description: "Visit https://spdx.org/licenses/GFDL-1.3-invariants-or-later.html for complete details of GNU Free Documentation License v1.3 or later - invariants"
      GFDL-1.3-no-invariants-or-later:
        description: "Visit https://spdx.org/licenses/GFDL-1.3-no-invariants-or-later.html for complete details of GNU Free Documentation License v1.3 or later - no invariants"
      GPL-1.0-only:
        description: "Visit https://spdx.org/licenses/GPL-1.0-only.html for complete details of GNU General Public License v1.0 only"
      GPL-1.0-or-later:
        description: "Visit https://spdx.org/licenses/GPL-1.0-or-later.html for complete details of GNU General Public License v1.0 or later"
      GPL-2.0-only:
        description: "Visit https://spdx.org/licenses/GPL-2.0-only.html for complete details of GNU General Public License v2.0 only"
      GPL-2.0-or-later:
        description: "Visit https://spdx.org/licenses/GPL-2.0-or-later.html for complete details of GNU General Public License v2.0 or later"
      GPL-3.0-only:
        description: "Visit https://spdx.org/licenses/GPL-3.0-only.html for complete details of GNU General Public License v3.0 only"
      GPL-3.0-or-later:
        description: "Visit https://spdx.org/licenses/GPL-3.0-or-later.html for complete details of GNU General Public License v3.0 or later"
      LGPL-2.1-only:
        description: "Visit https://spdx.org/licenses/LGPL-2.1-only.html for complete details of GNU Lesser General Public License v2.1 only"
      LGPL-2.1-or-later:
        description: "Visit https://spdx.org/licenses/LGPL-2.1-or-later.html for complete details of GNU Lesser General Public License v2.1 or later"
      LGPL-3.0-only:
        description: "Visit https://spdx.org/licenses/LGPL-3.0-only.html for complete details of GNU Lesser General Public License v3.0 only"
      LGPL-3.0-or-later:
        description: "Visit https://spdx.org/licenses/LGPL-3.0-or-later.html for complete details of GNU Lesser General Public License v3.0 or later"
      LGPL-2.0-only:
        description: "Visit https://spdx.org/licenses/LGPL-2.0-only.html for complete details of GNU Library General Public License v2 only"
      LGPL-2.0-or-later:
        description: "Visit https://spdx.org/licenses/LGPL-2.0-or-later.html for complete details of GNU Library General Public License v2 or later"
      gnuplot:
        description: "Visit https://spdx.org/licenses/gnuplot.html for complete details of gnuplot License"
      GLWTPL:
        description: "Visit https://spdx.org/licenses/GLWTPL.html for complete details of Good Luck With That Public License"
      Graphics-Gems:
        description: "Visit https://spdx.org/licenses/Graphics-Gems.html for complete details of Graphics Gems License"
      gSOAP-1.3b:
        description: "Visit https://spdx.org/licenses/gSOAP-1.3b.html for complete details of gSOAP Public License v1.3b"
      HaskellReport:
        description: "Visit https://spdx.org/licenses/HaskellReport.html for complete details of Haskell Language Report License"
      HP-1986:
        description: "Visit https://spdx.org/licenses/HP-1986.html for complete details of Hewlett-Packard 1986 License"
      HP-1989:
        description: "Visit https://spdx.org/licenses/HP-1989.html for complete details of Hewlett-Packard 1989 License"
      BSD-3-Clause-HP:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause-HP.html for complete details of Hewlett-Packard BSD variant license"
      Hippocratic-2.1:
        description: "Visit https://spdx.org/licenses/Hippocratic-2.1.html for complete details of Hippocratic License 2.1"
      HPND:
        description: "Visit https://spdx.org/licenses/HPND.html for complete details of Historical Permission Notice and Disclaimer"
      HPND-DEC:
        description: "Visit https://spdx.org/licenses/HPND-DEC.html for complete details of Historical Permission Notice and Disclaimer - DEC variant"
      HPND-doc-sell:
        description: "Visit https://spdx.org/licenses/HPND-doc-sell.html for complete details of Historical Permission Notice and Disclaimer - documentation sell variant"
      HPND-doc:
        description: "Visit https://spdx.org/licenses/HPND-doc.html for complete details of Historical Permission Notice and Disclaimer - documentation variant"
      HPND-Markus-Kuhn:
        description: "Visit https://spdx.org/licenses/HPND-Markus-Kuhn.html for complete details of Historical Permission Notice and Disclaimer - Markus Kuhn variant"
      HPND-Pbmplus:
        description: "Visit https://spdx.org/licenses/HPND-Pbmplus.html for complete details of Historical Permission Notice and Disclaimer - Pbmplus variant"
      HPND-sell-regexpr:
        description: "Visit https://spdx.org/licenses/HPND-sell-regexpr.html for complete details of Historical Permission Notice and Disclaimer - sell regexpr variant"
      HPND-sell-variant:
        description: "Visit https://spdx.org/licenses/HPND-sell-variant.html for complete details of Historical Permission Notice and Disclaimer - sell variant"
      HPND-UC:
        description: "Visit https://spdx.org/licenses/HPND-UC.html for complete details of Historical Permission Notice and Disclaimer - University of California variant"
      HPND-sell-variant-MIT-disclaimer:
        description: "Visit https://spdx.org/licenses/HPND-sell-variant-MIT-disclaimer.html for complete details of HPND sell variant with MIT disclaimer"
      HPND-export-US:
        description: "Visit https://spdx.org/licenses/HPND-export-US.html for complete details of HPND with US Government export control warning"
      HPND-export-US-modify:
        description: "Visit https://spdx.org/licenses/HPND-export-US-modify.html for complete details of HPND with US Government export control warning and modification rqmt"
      HTMLTIDY:
        description: "Visit https://spdx.org/licenses/HTMLTIDY.html for complete details of HTML Tidy License"
      IBM-pibs:
        description: "Visit https://spdx.org/licenses/IBM-pibs.html for complete details of IBM PowerPC Initialization and Boot Software"
      IPL-1.0:
        description: "Visit https://spdx.org/licenses/IPL-1.0.html for complete details of IBM Public License v1.0"
      ICU:
        description: "Visit https://spdx.org/licenses/ICU.html for complete details of ICU License"
      IEC-Code-Components-EULA:
        description: "Visit https://spdx.org/licenses/IEC-Code-Components-EULA.html for complete details of IEC Code Components End-user licence agreement"
      ImageMagick:
        description: "Visit https://spdx.org/licenses/ImageMagick.html for complete details of ImageMagick License"
      iMatix:
        "Visit https://spdx.org/licenses/iMatix.html for complete details of iMatix Standard Function Library Agreement"
      Imlib2:
        description: "Visit https://spdx.org/licenses/Imlib2.html for complete details of Imlib2 License"
      IJG:
        description: "Visit https://spdx.org/licenses/IJG.html for complete details of Independent JPEG Group License"
      IJG-short:
        description: "Visit https://spdx.org/licenses/IJG-short.html for complete details of Independent JPEG Group License - short"
      Info-ZIP:
        description: "Visit https://spdx.org/licenses/Info-ZIP.html for complete details of Info-ZIP License"
      Inner-Net-2.0:
        description: "Visit https://spdx.org/licenses/Inner-Net-2.0.html for complete details of Inner Net License v2.0"
      Intel-ACPI:
        description: "Visit https://spdx.org/licenses/Intel-ACPI.html for complete details of Intel ACPI Software License Agreement"
      Intel:
        description: "Visit https://spdx.org/licenses/Intel.html for complete details of Intel Open Source License"
      Interbase-1.0:
        description: "Visit https://spdx.org/licenses/Interbase-1.0.html for complete details of Interbase Public License v1.0"
      IPA:
        description: "Visit https://spdx.org/licenses/IPA.html for complete details of IPA Font License"
      ISC:
        description: "Visit https://spdx.org/licenses/ISC.html for complete details of ISC License"
      Jam:
        description: "Visit https://spdx.org/licenses/Jam.html for complete details of Jam License"
      JPNIC:
        description: "Visit https://spdx.org/licenses/JPNIC.html for complete details of Japan Network Information Center License"
      JasPer-2.0:
        description: "Visit https://spdx.org/licenses/JasPer-2.0.html for complete details of JasPer License"
      JPL-image:
        description: "Visit https://spdx.org/licenses/JPL-image.html for complete details of JPL Image Use Policy"
      JSON:
        description: "Visit https://spdx.org/licenses/JSON.html for complete details of JSON License"
      Kastrup:
        description: "Visit https://spdx.org/licenses/Kastrup.html for complete details of Kastrup License"
      Kazlib:
        description: "Visit https://spdx.org/licenses/Kazlib.html for complete details of Kazlib License"
      Knuth-CTAN:
        description: "Visit https://spdx.org/licenses/Knuth-CTAN.html for complete details of Knuth CTAN License"
      LPPL-1.0:
        description: "Visit https://spdx.org/licenses/LPPL-1.0.html for complete details of LaTeX Project Public License v1.0"
      LPPL-1.1:
        description: "Visit https://spdx.org/licenses/LPPL-1.1.html for complete details of LaTeX Project Public License v1.1"
      LPPL-1.2:
        description: "Visit https://spdx.org/licenses/LPPL-1.2.html for complete details of LaTeX Project Public License v1.2"
      LPPL-1.3a:
        description: "Visit https://spdx.org/licenses/LPPL-1.3a.html for complete details of LaTeX Project Public License v1.3a"
      LPPL-1.3c:
        description: "Visit https://spdx.org/licenses/LPPL-1.3c.html for complete details of LaTeX Project Public License v1.3c"
      Latex2e:
        description: "Visit https://spdx.org/licenses/Latex2e.html for complete details of Latex2e License"
      Latex2e-translated-notice:
        description: "Visit https://spdx.org/licenses/Latex2e-translated-notice.html for complete details of Latex2e with translated notice permission"
      BSD-3-Clause-LBNL:
        description: "Visit https://spdx.org/licenses/BSD-3-Clause-LBNL.html for complete details of Lawrence Berkeley National Labs BSD variant license"
      Leptonica:
        description: "Visit https://spdx.org/licenses/Leptonica.html for complete details of Leptonica License"
      LGPLLR:
        description: "Visit https://spdx.org/licenses/LGPLLR.html for complete details of Lesser General Public License For Linguistic Resources"
      Libpng:
        description: "Visit https://spdx.org/licenses/Libpng.html for complete details of libpng License"
      libselinux-1.0:
        description: "Visit https://spdx.org/licenses/libselinux-1.0.html for complete details of libselinux public domain notice"
      libtiff:
        description: "Visit https://spdx.org/licenses/libtiff.html for complete details of libtiff License"
      libutil-David-Nugent:
        description: "Visit https://spdx.org/licenses/libutil-David-Nugent.html for complete details of libutil David Nugent License"
      LAL-1.2:
        description: "Visit https://spdx.org/licenses/LAL-1.2.html for complete details of Licence Art Libre 1.2"
      LAL-1.3:
        description: "Visit https://spdx.org/licenses/LAL-1.3.html for complete details of Licence Art Libre 1.3"
      LiLiQ-P-1.1:
        description: "Visit https://spdx.org/licenses/LiLiQ-P-1.1.html for complete details of Licence Libre du Quebec Permissive version 1.1"
      LiLiQ-Rplus-1.1:
        description: "Visit https://spdx.org/licenses/LiLiQ-Rplus-1.1.html for complete details of Licence Libre du Quebec Reciprocite forte version 1.1"
      LiLiQ-R-1.1:
        description: "Visit https://spdx.org/licenses/LiLiQ-R-1.1.html for complete details of Licence Libre du Quebec Reciprocite version 1.1"
      Linux-OpenIB:
        description: "Visit https://spdx.org/licenses/Linux-OpenIB.html for complete details of Linux Kernel Variant of OpenIB.org license"
      Linux-man-pages-1-para:
        description: "Visit https://spdx.org/licenses/Linux-man-pages-1-para.html for complete details of Linux man-pages 1 paragraph"
      Linux-man-pages-copyleft:
        description: "Visit https://spdx.org/licenses/Linux-man-pages-copyleft.html for complete details of Linux man-pages Copyleft"
      Linux-man-pages-copyleft-2-para:
        description: "Visit https://spdx.org/licenses/Linux-man-pages-copyleft-2-para.html for complete details of Linux man-pages Copyleft - 2 paragraphs"
      Linux-man-pages-copyleft-var:
        description: "Visit https://spdx.org/licenses/Linux-man-pages-copyleft-var.html for complete details of Linux man-pages Copyleft Variant"
      lsof:
        description: "Visit https://spdx.org/licenses/lsof.html for complete details of lsof License"
      LPL-1.02:
        description: "Visit https://spdx.org/licenses/LPL-1.02.html for complete details of Lucent Public License v1.02"
      LPL-1.0:
        description: "Visit https://spdx.org/licenses/LPL-1.0.html for complete details of Lucent Public License Version 1.0"
      Lucida-Bitmap-Fonts:
        description: "Visit https://spdx.org/licenses/Lucida-Bitmap-Fonts.html for complete details of Lucida Bitmap Fonts License"
      LZMA-SDK-9.11-to-9.20:
        description: "Visit https://spdx.org/licenses/LZMA-SDK-9.11-to-9.20.html for complete details of LZMA SDK License (versions 9.11 to 9.20)"
      LZMA-SDK-9.22:
        description: "Visit https://spdx.org/licenses/LZMA-SDK-9.22.html for complete details of LZMA SDK License (versions 9.22 and beyond)"
      magaz:
        description: "Visit https://spdx.org/licenses/magaz.html for complete details of magaz License"
      MakeIndex:
        description: "Visit https://spdx.org/licenses/MakeIndex.html for complete details of MakeIndex License"
      Martin-Birgmeier:
        description: "Visit https://spdx.org/licenses/Martin-Birgmeier.html for complete details of Martin Birgmeier License"
      MTLL:
        description: "Visit https://spdx.org/licenses/MTLL.html for complete details of Matrix Template Library License"
      McPhee-slideshow:
        description: "Visit https://spdx.org/licenses/McPhee-slideshow.html for complete details of McPhee Slideshow License"
      metamail:
        description: "Visit https://spdx.org/licenses/metamail.html for complete details of metamail License"
      MS-LPL:
        description: "Visit https://spdx.org/licenses/MS-LPL.html for complete details of Microsoft Limited Public License"
      MS-PL:
        description: "Visit https://spdx.org/licenses/MS-PL.html for complete details of Microsoft Public License"
      MS-RL:
        description: "Visit https://spdx.org/licenses/MS-RL.html for complete details of Microsoft Reciprocal License"
      Minpack:
        description: "Visit https://spdx.org/licenses/Minpack.html for complete details of Minpack License"
      MITNFA:
        description: "Visit https://spdx.org/licenses/MITNFA.html for complete details of MIT +no-false-attribs license"
      MIT-Festival:
        description: "Visit https://spdx.org/licenses/MIT-Festival.html for complete details of MIT Festival Variant"
      MIT:
        description: "Visit https://spdx.org/licenses/MIT.html for complete details of MIT License"
      MIT-Modern-Variant:
        description: "Visit https://spdx.org/licenses/MIT-Modern-Variant.html for complete details of MIT License Modern Variant"
      MIT-0:
        description: "Visit https://spdx.org/licenses/MIT-0.html for complete details of MIT No Attribution"
      MIT-open-group:
        description: "Visit https://spdx.org/licenses/MIT-open-group.html for complete details of MIT Open Group variant"
      MIT-testregex:
        description: "Visit https://spdx.org/licenses/MIT-testregex.html for complete details of MIT testregex Variant"
      MIT-Wu:
        description: "Visit https://spdx.org/licenses/MIT-Wu.html for complete details of MIT Tom Wu Variant"
      MMIXware:
        description: "Visit https://spdx.org/licenses/MMIXware.html for complete details of MMIXware License"
      Motosoto:
        description: "Visit https://spdx.org/licenses/Motosoto.html for complete details of Motosoto License"
      MPL-1.0:
        description: "Visit https://spdx.org/licenses/MPL-1.0.html for complete details of Mozilla Public License 1.0"
      MPL-1.1:
        description: "Visit https://spdx.org/licenses/MPL-1.1.html for complete details of Mozilla Public License 1.1"
      MPL-2.0:
        description: "Visit https://spdx.org/licenses/MPL-2.0.html for complete details of Mozilla Public License 2.0"
      MPL-2.0-no-copyleft-exception:
        description: "Visit https://spdx.org/licenses/MPL-2.0-no-copyleft-exception.html for complete details of Mozilla Public License 2.0 (no copyleft exception)"
      MPEG-SSG:
        description: "Visit https://spdx.org/licenses/MPEG-SSG.html for complete details of MPEG Software Simulation"
      mpi-permissive:
        description: "Visit https://spdx.org/licenses/mpi-permissive.html for complete details of mpi Permissive License"
      mpich2:
        description: "Visit https://spdx.org/licenses/mpich2.html for complete details of mpich2 License"
      mplus:
        description: "Visit https://spdx.org/licenses/mplus.html for complete details of mplus Font License"
      MulanPSL-1.0:
        description: "Visit https://spdx.org/licenses/MulanPSL-1.0.html for complete details of Mulan Permissive Software License, Version 1"
      MulanPSL-2.0:
        description: "Visit https://spdx.org/licenses/MulanPSL-2.0.html for complete details of Mulan Permissive Software License, Version 2"
      Multics:
        description: "Visit https://spdx.org/licenses/Multics.html for complete details of Multics License"
      Mup:
        description: "Visit https://spdx.org/licenses/Mup.html for complete details of Mup License"
      NAIST-2003:
        description: "Visit https://spdx.org/licenses/NAIST-2003.html for complete details of Nara Institute of Science and Technology License (2003)"
      NASA-1.3:
        description: "Visit https://spdx.org/licenses/NASA-1.3.html for complete details of NASA Open Source Agreement 1.3"
      Naumen:
        description: "Visit https://spdx.org/licenses/Naumen.html for complete details of Naumen Public License"
      NBPL-1.0:
        description: "Visit https://spdx.org/licenses/NBPL-1.0.html for complete details of Net Boolean Public License v1"
      Net-SNMP:
        description: "Visit https://spdx.org/licenses/Net-SNMP.html for complete details of Net-SNMP License"
      NetCDF:
        description: "Visit https://spdx.org/licenses/NetCDF.html for complete details of NetCDF license"
      NGPL:
        description: "Visit https://spdx.org/licenses/NGPL.html for complete details of Nethack General Public License"
      NOSL:
        description: "Visit https://spdx.org/licenses/NOSL.html for complete details of Netizen Open Source License"
      NPL-1.0:
        description: "Visit https://spdx.org/licenses/NPL-1.0.html for complete details of Netscape Public License v1.0"
      NPL-1.1:
        description: "Visit https://spdx.org/licenses/NPL-1.1.html for complete details of Netscape Public License v1.1"
      Newsletr:
        description: "Visit https://spdx.org/licenses/Newsletr.html for complete details of Newsletr License"
      NICTA-1.0:
        description: "Visit https://spdx.org/licenses/NICTA-1.0.html for complete details of NICTA Public Software License, Version 1.0"
      NIST-PD:
        description: "Visit https://spdx.org/licenses/NIST-PD.html for complete details of NIST Public Domain Notice"
      NIST-PD-fallback:
        description: "Visit https://spdx.org/licenses/NIST-PD-fallback.html for complete details of NIST Public Domain Notice with license fallback"
      NIST-Software:
        description: "Visit https://spdx.org/licenses/NIST-Software.html for complete details of NIST Software License"
      NLPL:
        description: "Visit https://spdx.org/licenses/NLPL.html for complete details of No Limit Public License"
      Nokia:
        description: "Visit https://spdx.org/licenses/Nokia.html for complete details of Nokia Open Source License"
      NCGL-UK-2.0:
        description: "Visit https://spdx.org/licenses/NCGL-UK-2.0.html for complete details of Non-Commercial Government Licence"
      NPOSL-3.0:
        description: "Visit https://spdx.org/licenses/NPOSL-3.0.html for complete details of Non-Profit Open Software License 3.0"
      NLOD-1.0:
        description: "Visit https://spdx.org/licenses/NLOD-1.0.html for complete details of Norwegian Licence for Open Government Data (NLOD) 1.0"
      NLOD-2.0:
        description: "Visit https://spdx.org/licenses/NLOD-2.0.html for complete details of Norwegian Licence for Open Government Data (NLOD) 2.0"
      Noweb:
        description: "Visit https://spdx.org/licenses/Noweb.html for complete details of Noweb License"
      NRL:
        description: "Visit https://spdx.org/licenses/NRL.html for complete details of NRL License"
      NTP:
        description: "Visit https://spdx.org/licenses/NTP.html for complete details of NTP License"
      NTP-0:
        description: "Visit https://spdx.org/licenses/NTP-0.html for complete details of NTP No Attribution"
      OCLC-2.0:
        description: "Visit https://spdx.org/licenses/OCLC-2.0.html for complete details of OCLC Research Public License 2.0"
      OFFIS:
        description: "Visit https://spdx.org/licenses/OFFIS.html for complete details of OFFIS License"
      OGC-1.0:
        description: "Visit https://spdx.org/licenses/OGC-1.0.html for complete details of OGC Software License, Version 1.0"
      OCCT-PL:
        description: "Visit https://spdx.org/licenses/OCCT-PL.html for complete details of Open CASCADE Technology Public License"
      ODC-By-1.0:
        description: "Visit https://spdx.org/licenses/ODC-By-1.0.html for complete details of Open Data Commons Attribution License v1.0"
      ODbL-1.0:
        description: "Visit https://spdx.org/licenses/ODbL-1.0.html for complete details of Open Data Commons Open Database License v1.0"
      PDDL-1.0:
        description: "Visit https://spdx.org/licenses/PDDL-1.0.html for complete details of Open Data Commons Public Domain Dedication License 1.0"
      OGL-Canada-2.0:
        description: "Visit https://spdx.org/licenses/OGL-Canada-2.0.html for complete details of Open Government Licence - Canada"
      OGL-UK-1.0:
        description: "Visit https://spdx.org/licenses/OGL-UK-1.0.html for complete details of Open Government Licence v1.0"
      OGL-UK-2.0:
        description: "Visit https://spdx.org/licenses/OGL-UK-2.0.html for complete details of Open Government Licence v2.0"
      OGL-UK-3.0:
        description: "Visit https://spdx.org/licenses/OGL-UK-3.0.html for complete details of Open Government Licence v3.0"
      OGTSL:
        description: "Visit https://spdx.org/licenses/OGTSL.html for complete details of Open Group Test Suite License"
      OLDAP-2.2.2:
        description: "Visit https://spdx.org/licenses/OLDAP-2.2.2.html for complete details of Open LDAP Public License 2.2.2"
      OLDAP-1.1:
        description: "Visit https://spdx.org/licenses/OLDAP-1.1.html for complete details of Open LDAP Public License v1.1"
      OLDAP-1.2:
        description: "Visit https://spdx.org/licenses/OLDAP-1.2.html for complete details of Open LDAP Public License v1.2"
      OLDAP-1.3:
        description: "Visit https://spdx.org/licenses/OLDAP-1.3.html for complete details of Open LDAP Public License v1.3"
      OLDAP-1.4:
        description: "Visit https://spdx.org/licenses/OLDAP-1.4.html for complete details of Open LDAP Public License v1.4"
      OLDAP-2.0:
        description: "Visit https://spdx.org/licenses/OLDAP-2.0.html for complete details of Open LDAP Public License v2.0 (or possibly 2.0A and 2.0B)"
      OLDAP-2.0.1:
        description: "Visit https://spdx.org/licenses/OLDAP-2.0.1.html for complete details of Open LDAP Public License v2.0.1"
      OLDAP-2.1:
        description: "Visit https://spdx.org/licenses/OLDAP-2.1.html for complete details of Open LDAP Public License v2.1"
      OLDAP-2.2:
        description: "Visit https://spdx.org/licenses/OLDAP-2.2.html for complete details of Open LDAP Public License v2.2"
      OLDAP-2.2.1:
        description: "Visit https://spdx.org/licenses/OLDAP-2.2.1.html for complete details of Open LDAP Public License v2.2.1"
      OLDAP-2.3:
        description: "Visit https://spdx.org/licenses/OLDAP-2.3.html for complete details of Open LDAP Public License v2.3"
      OLDAP-2.4:
        description: "Visit https://spdx.org/licenses/OLDAP-2.4.html for complete details of Open LDAP Public License v2.4"
      OLDAP-2.5:
        description: "Visit https://spdx.org/licenses/OLDAP-2.5.html for complete details of Open LDAP Public License v2.5"
      OLDAP-2.6:
        description: "Visit https://spdx.org/licenses/OLDAP-2.6.html for complete details of Open LDAP Public License v2.6"
      OLDAP-2.7:
        description: "Visit https://spdx.org/licenses/OLDAP-2.7.html for complete details of Open LDAP Public License v2.7"
      OLDAP-2.8:
        description: "Visit https://spdx.org/licenses/OLDAP-2.8.html for complete details of Open LDAP Public License v2.8"
      OLFL-1.3:
        description: "Visit https://spdx.org/licenses/OLFL-1.3.html for complete details of Open Logistics Foundation License Version 1.3"
      OML:
        description: "Visit https://spdx.org/licenses/OML.html for complete details of Open Market License"
      OPL-1.0:
        description: "Visit https://spdx.org/licenses/OPL-1.0.html for complete details of Open Public License v1.0"
      OPUBL-1.0:
        description: "Visit https://spdx.org/licenses/OPUBL-1.0.html for complete details of Open Publication License v1.0"
      OSL-1.0:
        description: "Visit https://spdx.org/licenses/OSL-1.0.html for complete details of Open Software License 1.0"
      OSL-1.1:
        description: "Visit https://spdx.org/licenses/OSL-1.1.html for complete details of Open Software License 1.1"
      OSL-2.0:
        description: "Visit https://spdx.org/licenses/OSL-2.0.html for complete details of Open Software License 2.0"
      OSL-2.1:
        description: "Visit https://spdx.org/licenses/OSL-2.1.html for complete details of Open Software License 2.1"
      OSL-3.0:
        description: "Visit https://spdx.org/licenses/OSL-3.0.html for complete details of Open Software License 3.0"
      O-UDA-1.0:
        description: "Visit https://spdx.org/licenses/O-UDA-1.0.html for complete details of Open Use of Data Agreement v1.0"
      OpenPBS-2.3:
        description: "Visit https://spdx.org/licenses/OpenPBS-2.3.html for complete details of OpenPBS v2.3 Software License"
      OpenSSL:
        description: "Visit https://spdx.org/licenses/OpenSSL.html for complete details of OpenSSL License"
      OSET-PL-2.1:
        description: "Visit https://spdx.org/licenses/OSET-PL-2.1.html for complete details of OSET Public License version 2.1"
      PADL:
        description: "Visit https://spdx.org/licenses/PADL.html for complete details of PADL License"
      PHP-3.0:
        description: "Visit https://spdx.org/licenses/PHP-3.0.html for complete details of PHP License v3.0"
      PHP-3.01:
        description: "Visit https://spdx.org/licenses/PHP-3.01.html for complete details of PHP License v3.01"
      Plexus:
        description: "Visit https://spdx.org/licenses/Plexus.html for complete details of Plexus Classworlds License"
      libpng-2.0:
        description: "Visit https://spdx.org/licenses/libpng-2.0.html for complete details of PNG Reference Library version 2"
      pnmstitch:
        description: "Visit https://spdx.org/licenses/pnmstitch.html for complete details of pnmstitch License"
      PolyForm-Noncommercial-1.0.0:
        description: "Visit https://spdx.org/licenses/PolyForm-Noncommercial-1.0.0.html for complete details of PolyForm Noncommercial License 1.0.0"
      PolyForm-Small-Business-1.0.0:
        description: "Visit https://spdx.org/licenses/PolyForm-Small-Business-1.0.0.html for complete details of PolyForm Small Business License 1.0.0"
      PostgreSQL:
        description: "Visit https://spdx.org/licenses/PostgreSQL.html for complete details of PostgreSQL License"
      psfrag:
        description: "Visit https://spdx.org/licenses/psfrag.html for complete details of psfrag License"
      psutils:
        description: "Visit https://spdx.org/licenses/psutils.html for complete details of psutils License"
      python-ldap:
        description: "Visit https://spdx.org/licenses/python-ldap.html for complete details of Python ldap License"
      Python-2.0:
        description: "Visit https://spdx.org/licenses/Python-2.0.html for complete details of Python License 2.0"
      Python-2.0.1:
        description: "Visit https://spdx.org/licenses/Python-2.0.1.html for complete details of Python License 2.0.1"
      PSF-2.0:
        description: "Visit https://spdx.org/licenses/PSF-2.0.html for complete details of Python Software Foundation License 2.0"
      QPL-1.0:
        description: "Visit https://spdx.org/licenses/QPL-1.0.html for complete details of Q Public License 1.0"
      QPL-1.0-INRIA-2004:
        description: "Visit https://spdx.org/licenses/QPL-1.0-INRIA-2004.html for complete details of Q Public License 1.0 - INRIA 2004 variant"
      Qhull:
        description: "Visit https://spdx.org/licenses/Qhull.html for complete details of Qhull License"
      Rdisc:
        description: "Visit https://spdx.org/licenses/Rdisc.html for complete details of Rdisc License"
      RPSL-1.0:
        description: "Visit https://spdx.org/licenses/RPSL-1.0.html for complete details of RealNetworks Public Source License v1.0"
      RPL-1.1:
        description: "Visit https://spdx.org/licenses/RPL-1.1.html for complete details of Reciprocal Public License 1.1"
      RPL-1.5:
        description: "Visit https://spdx.org/licenses/RPL-1.5.html for complete details of Reciprocal Public License 1.5"
      RHeCos-1.1:
        description: "Visit https://spdx.org/licenses/RHeCos-1.1.html for complete details of Red Hat eCos Public License v1.1"
      RSCPL:
        description: "Visit https://spdx.org/licenses/RSCPL.html for complete details of Ricoh Source Code Public License"
      RSA-MD:
        description: "Visit https://spdx.org/licenses/RSA-MD.html for complete details of RSA Message-Digest License"
      Ruby:
        description: "Visit https://spdx.org/licenses/Ruby.html for complete details of Ruby License"
      SAX-PD:
        description: "Visit https://spdx.org/licenses/SAX-PD.html for complete details of Sax Public Domain Notice"
      Saxpath:
        description: "Visit https://spdx.org/licenses/Saxpath.html for complete details of Saxpath License"
      SCEA:
        description: "Visit https://spdx.org/licenses/SCEA.html for complete details of SCEA Shared Source License"
      SchemeReport:
        description: "Visit https://spdx.org/licenses/SchemeReport.html for complete details of Scheme Language Report License"
      SWL:
        description: "Visit https://spdx.org/licenses/SWL.html for complete details of Scheme Widget Library (SWL) Software License Agreement"
      SMPPL:
        description: "Visit https://spdx.org/licenses/SMPPL.html for complete details of Secure Messaging Protocol Public License"
      Sendmail:
        description: "Visit https://spdx.org/licenses/Sendmail.html for complete details of Sendmail License"
      Sendmail-8.23:
        description: "Visit https://spdx.org/licenses/Sendmail-8.23.html for complete details of Sendmail License 8.23"
      SSPL-1.0:
        description: "Visit https://spdx.org/licenses/SSPL-1.0.html for complete details of Server Side Public License, v 1"
      SGI-B-1.0:
        description: "Visit https://spdx.org/licenses/SGI-B-1.0.html for complete details of SGI Free Software License B v1.0"
      SGI-B-1.1:
        description: "Visit https://spdx.org/licenses/SGI-B-1.1.html for complete details of SGI Free Software License B v1.1"
      SGI-B-2.0:
        description: "Visit https://spdx.org/licenses/SGI-B-2.0.html for complete details of SGI Free Software License B v2.0"
      SGI-OpenGL:
        description: "Visit https://spdx.org/licenses/SGI-OpenGL.html for complete details of SGI OpenGL License"
      SGP4:
        description: "Visit https://spdx.org/licenses/SGP4.html for complete details of SGP4 Permission Notice"
      OFL-1.0:
        description: "Visit https://spdx.org/licenses/OFL-1.0.html for complete details of SIL Open Font License 1.0"
      OFL-1.0-no-RFN:
        description: "Visit https://spdx.org/licenses/OFL-1.0-no-RFN.html for complete details of SIL Open Font License 1.0 with no Reserved Font Name"
      OFL-1.0-RFN:
        description: "Visit https://spdx.org/licenses/OFL-1.0-RFN.html for complete details of SIL Open Font License 1.0 with Reserved Font Name"
      OFL-1.1:
        description: "Visit https://spdx.org/licenses/OFL-1.1.html for complete details of SIL Open Font License 1.1"
      OFL-1.1-no-RFN:
        description: "Visit https://spdx.org/licenses/OFL-1.1-no-RFN.html for complete details of SIL Open Font License 1.1 with no Reserved Font Name"
      OFL-1.1-RFN:
        description: "Visit https://spdx.org/licenses/OFL-1.1-RFN.html for complete details of SIL Open Font License 1.1 with Reserved Font Name"
      SimPL-2.0:
        description: "Visit https://spdx.org/licenses/SimPL-2.0.html for complete details of Simple Public License 2.0"
      SL:
        description: "Visit https://spdx.org/licenses/SL.html for complete details of SL License"
      Sleepycat:
        description: "Visit https://spdx.org/licenses/Sleepycat.html for complete details of Sleepycat License"
      SNIA:
        description: "Visit https://spdx.org/licenses/SNIA.html for complete details of SNIA Public License 1.1"
      snprintf:
        description: "Visit https://spdx.org/licenses/snprintf.html for complete details of snprintf License"
      SHL-0.5:
        description: "Visit https://spdx.org/licenses/SHL-0.5.html for complete details of Solderpad Hardware License v0.5"
      SHL-0.51:
        description: "Visit https://spdx.org/licenses/SHL-0.51.html for complete details of Solderpad Hardware License, Version 0.51"
      Soundex:
        description: "Visit https://spdx.org/licenses/Soundex.html for complete details of Soundex License"
      Spencer-86:
        description: "Visit https://spdx.org/licenses/Spencer-86.html for complete details of Spencer License 86"
      Spencer-94:
        description: "Visit https://spdx.org/licenses/Spencer-94.html for complete details of Spencer License 94"
      Spencer-99:
        description: "Visit https://spdx.org/licenses/Spencer-99.html for complete details of Spencer License 99"
      blessing:
        description: "Visit https://spdx.org/licenses/blessing.html for complete details of SQLite Blessing"
      SSH-OpenSSH:
        description: "Visit https://spdx.org/licenses/SSH-OpenSSH.html for complete details of SSH OpenSSH license"
      SSH-short:
        description: "Visit https://spdx.org/licenses/SSH-short.html for complete details of SSH short notice"
      ssh-keyscan:
        description: "Visit https://spdx.org/licenses/ssh-keyscan.html for complete details of ssh-keyscan License"
      SMLNJ:
        description: "Visit https://spdx.org/licenses/SMLNJ.html for complete details of Standard ML of New Jersey License"
      SugarCRM-1.1.3:
        description: "Visit https://spdx.org/licenses/SugarCRM-1.1.3.html for complete details of SugarCRM Public License v1.1.3"
      SISSL:
        description: "Visit https://spdx.org/licenses/SISSL.html for complete details of Sun Industry Standards Source License v1.1"
      SISSL-1.2:
        description: "Visit https://spdx.org/licenses/SISSL-1.2.html for complete details of Sun Industry Standards Source License v1.2"
      SPL-1.0:
        description: "Visit https://spdx.org/licenses/SPL-1.0.html for complete details of Sun Public License v1.0"
      SunPro:
        description: "Visit https://spdx.org/licenses/SunPro.html for complete details of SunPro License"
      swrule:
        description: "Visit https://spdx.org/licenses/swrule.html for complete details of swrule License"
      Watcom-1.0:
        description: "Visit https://spdx.org/licenses/Watcom-1.0.html for complete details of Sybase Open Watcom Public License 1.0"
      Symlinks:
        description: "Visit https://spdx.org/licenses/Symlinks.html for complete details of Symlinks License"
      BSD-Systemics:
        description: "Visit https://spdx.org/licenses/BSD-Systemics.html for complete details of Systemics BSD variant license"
      OGDL-Taiwan-1.0:
        description: "Visit https://spdx.org/licenses/OGDL-Taiwan-1.0.html for complete details of Taiwan Open Government Data License, version 1.0"
      TAPR-OHL-1.0:
        description: "Visit https://spdx.org/licenses/TAPR-OHL-1.0.html for complete details of TAPR Open Hardware License v1.0"
      TCL:
        description: "Visit https://spdx.org/licenses/TCL.html for complete details of TCL/TK License"
      TCP-wrappers:
        description: "Visit https://spdx.org/licenses/TCP-wrappers.html for complete details of TCP Wrappers License"
      TU-Berlin-1.0:
        description: "Visit https://spdx.org/licenses/TU-Berlin-1.0.html for complete details of Technische Universitaet Berlin License 1.0"
      TU-Berlin-2.0:
        description: "Visit https://spdx.org/licenses/TU-Berlin-2.0.html for complete details of Technische Universitaet Berlin License 2.0"
      TermReadKey:
        description: "Visit https://spdx.org/licenses/TermReadKey.html for complete details of TermReadKey License"
      TTWL:
        description: "Visit https://spdx.org/licenses/TTWL.html for complete details of Text-Tabs+Wrap License"
      MirOS:
        description: "Visit https://spdx.org/licenses/MirOS.html for complete details of The MirOS Licence"
      Parity-6.0.0:
        description: "Visit https://spdx.org/licenses/Parity-6.0.0.html for complete details of The Parity Public License 6.0.0"
      Parity-7.0.0:
        description: "Visit https://spdx.org/licenses/Parity-7.0.0.html for complete details of The Parity Public License 7.0.0"
      Unlicense:
        description: "Visit https://spdx.org/licenses/Unlicense.html for complete details of The Unlicense"
      TPL-1.0:
        description: "Visit https://spdx.org/licenses/TPL-1.0.html for complete details of THOR Public License 1.0"
      TPDL:
        description: "Visit https://spdx.org/licenses/TPDL.html for complete details of Time::ParseDate License"
      TMate:
        description: "Visit https://spdx.org/licenses/TMate.html for complete details of TMate Open Source License"
      TORQUE-1.1:
        description: "Visit https://spdx.org/licenses/TORQUE-1.1.html for complete details of TORQUE v2.5+ Software License v1.1"
      TOSL:
        description: "Visit https://spdx.org/licenses/TOSL.html for complete details of Trusster Open Source License"
      TTYP0:
        description: "Visit https://spdx.org/licenses/TTYP0.html for complete details of TTYP0 License"
      UCAR:
        description: "Visit https://spdx.org/licenses/UCAR.html for complete details of UCAR License"
      ulem:
        description: "Visit https://spdx.org/licenses/ulem.html for complete details of ulem License"
      Unicode-DFS-2015:
        description: "Visit https://spdx.org/licenses/Unicode-DFS-2015.html for complete details of Unicode License Agreement - Data Files and Software (2015)"
      Unicode-DFS-2016:
        description: "Visit https://spdx.org/licenses/Unicode-DFS-2016.html for complete details of Unicode License Agreement - Data Files and Software (2016)"
      Unicode-TOU:
        description: "Visit https://spdx.org/licenses/Unicode-TOU.html for complete details of Unicode Terms of Use"
      OPL-UK-3.0:
        description: "Visit https://spdx.org/licenses/OPL-UK-3.0.html for complete details of United Kingdom Open Parliament Licence v3.0"
      UPL-1.0:
        description: "Visit https://spdx.org/licenses/UPL-1.0.html for complete details of Universal Permissive License v1.0"
      NCSA:
        description: "Visit https://spdx.org/licenses/NCSA.html for complete details of University of Illinois/NCSA Open Source License"
      UnixCrypt:
        description: "Visit https://spdx.org/licenses/UnixCrypt.html for complete details of UnixCrypt License"
      UCL-1.0:
        description: "Visit https://spdx.org/licenses/UCL-1.0.html for complete details of Upstream Compatibility License v1.0"
      URT-RLE:
        description: "Visit https://spdx.org/licenses/URT-RLE.html for complete details of Utah Raster Toolkit Run Length Encoded License"
      Vim:
        description: "Visit https://spdx.org/licenses/Vim.html for complete details of Vim License"
      VOSTROM:
        description: "Visit https://spdx.org/licenses/VOSTROM.html for complete details of VOSTROM Public License for Open Source"
      VSL-1.0:
        description: "Visit https://spdx.org/licenses/VSL-1.0.html for complete details of Vovida Software License v1.0"
      W3C-20150513:
        description: "Visit https://spdx.org/licenses/W3C-20150513.html for complete details of W3C Software Notice and Document License (2015-05-13)"
      W3C-19980720:
        description: "Visit https://spdx.org/licenses/W3C-19980720.html for complete details of W3C Software Notice and License (1998-07-20)"
      W3C:
        description: "Visit https://spdx.org/licenses/W3C.html for complete details of W3C Software Notice and License (2002-12-31)"
      w3m:
        description: "Visit https://spdx.org/licenses/w3m.html for complete details of w3m License"
      Widget-Workshop:
        description: "Visit https://spdx.org/licenses/Widget-Workshop.html for complete details of Widget Workshop License"
      Wsuipa:
        description: "Visit https://spdx.org/licenses/Wsuipa.html for complete details of Wsuipa License"
      Xnet:
        description: "Visit https://spdx.org/licenses/Xnet.html for complete details of X.Net License"
      X11:
        description: "Visit https://spdx.org/licenses/X11.html for complete details of X11 License"
      X11-distribute-modifications-variant:
        description: "Visit https://spdx.org/licenses/X11-distribute-modifications-variant.html for complete details of X11 License Distribution Modification Variant"
      Xdebug-1.03:
        description: "Visit https://spdx.org/licenses/Xdebug-1.03.html for complete details of Xdebug License v 1.03"
      Xerox:
        description: "Visit https://spdx.org/licenses/Xerox.html for complete details of Xerox License"
      Xfig:
        description: "Visit https://spdx.org/licenses/Xfig.html for complete details of Xfig License"
      XFree86-1.1:
        description: "Visit https://spdx.org/licenses/XFree86-1.1.html for complete details of XFree86 License 1.1"
      xinetd:
        description: "Visit https://spdx.org/licenses/xinetd.html for complete details of xinetd License"
      xlock:
        description: "Visit https://spdx.org/licenses/xlock.html for complete details of xlock License"
      xpp:
        description: "Visit https://spdx.org/licenses/xpp.html for complete details of XPP License"
      XSkat:
        description: "Visit https://spdx.org/licenses/XSkat.html for complete details of XSkat License"
      YPL-1.0:
        description: "Visit https://spdx.org/licenses/YPL-1.0.html for complete details of Yahoo! Public License v1.0"
      YPL-1.1:
        description: "Visit https://spdx.org/licenses/YPL-1.1.html for complete details of Yahoo! Public License v1.1"
      Zed:
        description: "Visit https://spdx.org/licenses/Zed.html for complete details of Zed License"
      Zeeff:
        description: "Visit https://spdx.org/licenses/Zeeff.html for complete details of Zeeff License"
      Zend-2.0:
        description: "Visit https://spdx.org/licenses/Zend-2.0.html for complete details of Zend License v2.0"
      Zimbra-1.3:
        description: "Visit https://spdx.org/licenses/Zimbra-1.3.html for complete details of Zimbra Public License v1.3"
      Zimbra-1.4:
        description: "Visit https://spdx.org/licenses/Zimbra-1.4.html for complete details of Zimbra Public License v1.4"
      Zlib:
        description: "Visit https://spdx.org/licenses/Zlib.html for complete details of zlib License"
      zlib-acknowledgement:
        description: "Visit https://spdx.org/licenses/zlib-acknowledgement.html for complete details of zlib/libpng License with Acknowledgement"
      ZPL-1.1:
        description: "Visit https://spdx.org/licenses/ZPL-1.1.html for complete details of Zope Public License 1.1"
      ZPL-2.0:
        description: "Visit https://spdx.org/licenses/ZPL-2.0.html for complete details of Zope Public License 2.0"
      ZPL-2.1:
        description: "Visit https://spdx.org/licenses/ZPL-2.1.html for complete details of Zope Public License 2.1"

  OS_Distribution:
    description: Possible values for operating system distribution.
    permissible_values:
      Alpine Linux:
      Arch Linux:
      CentOS Linux:
      Debian:
      Fedora:
      FreeBSD:
      Gentoo Linux:
      Mandrakelinux:
      Mandriva Linux:
      Mandriva Enterprise Server:
      MS-DOS:
      NetBSD:
      Novell NetWare:
      OpenBSD:
      OpenSolaris:
      openSUSE:
      Rocky Linux:
      Red Hat Enterprise Linux:
      SUSE Linux Enterprise Server:
      Ubuntu:
      Microsoft Windows:
      CirrOS:
      AlmaLinux:
      others:

  HypervisorType:
    description: Possible values for hypervisor types.
    permissible_values:
      quemu:
      KVM:
      Xen:
      ESXi:
      Hyper-V:
      Cloud Hypervisor:
      other:


